/* header types */
.heading-h1,
.heading-h2,
.heading-h3,
.heading-h4,
.heading-h5,
.heading-h6,
.heading-h1-white,
.heading-h2-white,
.heading-h3-white,
.heading-h4-white,
.heading-h5-white,
.heading-h6-white,
.heading-h1-gray,
.heading-h2-gray,
.heading-h3-gray,
.heading-h4-gray,
.heading-h5-gray,
.heading-h6-gray,
.heading-h1-blue,
.heading-h2-blue,
.heading-h3-blue,
.heading-h4-blue,
.heading-h5-blue,
.heading-h6-blue {
  font-family: "GT Walsheim";
  font-style: normal;
  font-weight: 500;
  color: #0c0c0d;
}
.heading-h1,
.heading-h1-white,
.heading-h1-gray,
.heading-h1-blue {
  font-size: 3rem;
  line-height: 3.5rem;
  letter-spacing: -0.02em;
}
.heading-h2,
.heading-h2-white,
.heading-h2-gray,
.heading-h2-blue {
  font-size: 2.5rem;
  line-height: 3rem;
  letter-spacing: -0.02em;
}
.heading-h3,
.heading-h3-white,
.heading-h3-gray,
.heading-h3-blue {
  font-size: 2rem;
  line-height: 2.25rem;
  letter-spacing: -0.02em;
}
.heading-h4,
.heading-h4-white,
.heading-h4-gray,
.heading-h4-blue {
  font-size: 1.5rem;
  line-height: 1.75rem;
  letter-spacing: -0.015em;
}
.heading-h5,
.heading-h5-white,
.heading-h5-gray,
.heading-h5-blue {
  font-size: 1.25rem;
  line-height: 1.5rem;
  letter-spacing: -0.015em;
}
.heading-h6,
.heading-h6-white,
.heading-h6-gray,
.heading-h6-blue {
  font-size: 1rem;
  line-height: 1.25rem;
  letter-spacing: -0.0125em;
}
.heading-h1-white,
.heading-h2-white,
.heading-h3-white,
.heading-h4-white,
.heading-h5-white,
.heading-h6-white {
  color: rgba(255, 255, 255, 1);
}
.heading-h1-black,
.heading-h2-black,
.heading-h3-black,
.heading-h4-black,
.heading-h5-black,
.heading-h6-black {
  color: rgba(0, 0, 0, 1);
}
.heading-h1-gray,
.heading-h2-gray,
.heading-h3-gray,
.heading-h4-gray,
.heading-h5-gray,
.heading-h6-gray {
  color: rgba(245, 247, 249, 0.5);
}
.heading-h1-blue,
.heading-h2-blue,
.heading-h3-blue,
.heading-h4-blue,
.heading-h5-blue,
.heading-h6-blue {
  color: var(--blue);
}
@media (max-width: 1023px) {
  .heading-h1,
  .heading-h1-white,
  .heading-h1-blue,
  .heading-h1-gray {
    font-size: 2.5rem;
    line-height: 120%;
  }
  .heading-h2,
  .heading-h2-white,
  .heading-h2-blue,
  .heading-h2-gray {
    font-size: 2rem;
    line-height: 2.25rem;
  }
  .heading-h3,
  .heading-h3-white,
  .heading-h3-blue,
  .heading-h3-gray {
    font-size: 1.75rem;
    line-height: 2rem;
  }
  .heading-h4,
  .heading-h4-white,
  .heading-h4-blue,
  .heading-h4-gray {
    font-size: 1.5rem;
    line-height: 1.75rem;
  }
  .heading-h5,
  .heading-h5-white,
  .heading-h5-blue,
  .heading-h5-gray {
    font-size: 1.25rem;
    line-height: 1.5rem;
  }
  .heading-h6,
  .heading-h6-white,
  .heading-h6-blue,
  .heading-h6-gray {
    font-size: 1rem;
    line-height: 1.25rem;
  }
}

/* paragraph types */
.p1,
.p1-italic,
.p1-bold,
.p1-blue,
.p2,
.p2-italic,
.p2-bold,
.p2-blue,
.p3,
.p3-italic,
.p3-bold,
.p3-blue,
.p4,
.p4-italic,
.p4-bold,
.p4-blue,
.p1-white,
.p1-italic-white,
.p1-bold-white,
.p2-white,
.p2-italic-white,
.p2-bold-white,
.p3-white,
.p3-italic-white,
.p3-bold-white,
.p4-white,
.p4-italic-white,
.p4-bold-white {
  font-family: "Avenir Next";
  font-style: normal;
  font-weight: 400;
  font-size: 1.5rem;
  line-height: 2.25rem;
  color: #616366;
}
.p1-italic,
.p2-italic,
.p3-italic,
.p4-italic,
.p1-italic-white,
.p2-italic-white,
.p3-italic-white,
.p4-italic-white {
  font-style: italic;
}
.p1-bold,
.p2-bold,
.p3-bold,
.p4-bold,
.p1-bold-white,
.p2-bold-white,
.p3-bold-white,
.p4-bold-white {
  font-family: "Avenir Next Bold";
  color: #0c0c0d;
}
.p1-white,
.p2-white,
.p3-white,
.p4-white,
.p1-bold-white,
.p2-bold-white,
.p3-bold-white,
.p4-bold-white,
.p1-italic-white,
.p2-italic-white,
.p3-italic-white,
.p4-italic-white {
  color: rgba(255, 255, 255, 1);
}

.p2,
.p2-italic,
.p2-bold,
.p2-white,
.p2-italic-white,
.p2-bold-white,
.p2-blue {
  font-size: 1.25rem;
  line-height: 1.75rem;
}
.p3,
.p3-italic,
.p3-bold,
.p3-white,
.p3-italic-white,
.p3-bold-white,
.p3-blue {
  font-size: 1rem;
  line-height: 1.5rem;
}
.p4,
.p4-italic,
.p4-bold,
.p4-white,
.p4-italic-white,
.p4-bold-white,
.p4-blue {
  font-size: 0.75rem;
  line-height: 1rem;
}
.p1-blue,
.p2-blue,
.p3-blue,
.p4-blue {
  color: var(--blue);
}

/* label types */
.l1,
.l2,
.l3,
.l1-blue,
.l2-blue,
.l3-blue,
.l1-bold,
.l2-bold,
.l3-bold {
  font-family: "Avenir Next Demi Bold";
  font-style: normal;
  font-weight: 600;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  color: #0c0c0d;
}
.l1-blue,
.l2-blue,
.l3-blue {
  color: var(--blue);
}
.l1-bold,
.l2-bold,
.l3-bold {
  font-family: "Avenir Next Bold";
}
.l1,
.l1-blue,
.l1-bold {
  font-size: 1.75rem;
  line-height: 2.625rem;
}
.l2,
.l2-blue,
.l2-bold {
  font-size: 1.25rem;
  line-height: 1.75rem;
}
.l3,
.l3-blue,
.l3-bold {
  font-size: 0.75rem;
  line-height: 100%;
}

@media (max-width: 640px) {
  .l3,
  .l3-blue,
  .l3-bold {
    line-height: 1.125rem;
  }
}

/* button types */

.button-text-1,
.button-text-2 {
  font-family: "Avenir Next";
  font-style: normal;
  font-weight: 600;
  font-size: 1rem;
  color: #0c0c0d;
}

.button-text-2 {
  font-size: 0.875rem;
}
.button-text-1-white,
.button-text-2-white {
  color: rgba(255, 255, 255, 1);
}

.redirect-link-blue {
  color: var(--blue) !important;
  cursor: pointer;
}
